body {
  background-color: $body-bg;
  overflow-x: hidden;
}

::selection {
  background: lighten($color: $color-primary, $amount: 10);
  color: $white;
}

/* preloader */

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
}

ol,
ul {
  list-style-type: none;
  margin: 0px;
}

img {
  vertical-align: middle;
  border: 0;
  width: 100%;
}

a,
a:hover,
a:focus {
  text-decoration: none;
}

a,
button,
select {
  cursor: pointer;
  transition: .2s ease;

  &:focus {
    outline: 0;
  }
}

a.text-dark {
  &:hover {
    color: $color-primary !important;
  }
}

a:hover {
  color: $color-primary;
}

.section {
  padding-top: 80px;
  padding-bottom: 80px;

  &-title {
    margin-bottom: 80px;
    font-family: $font-secondary;
  }
}

.bg-cover {
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

/* overlay */

.overlay {
  position: relative;

  &::before {
    position: absolute;
    content: '';
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: $black;
    opacity: .5;
  }
}

.outline-0 {
  outline: 0 !important;
}

.d-unset {
  display: unset !important;
}

.bg-primary {
  background: $color-primary !important;
}

.bg-gray {
  background: $gray !important;
}

.text-primary {
  color: $color-primary !important;
}

.text-color {
  color: $text-color;
}

.text-dark {
  color: $text-dark !important;
}

.text-light {
  color: $text-light !important;
}

.mb-10 {
  margin-bottom: 10px !important;
}

.mb-20 {
  margin-bottom: 20px !important;
}

.mb-30 {
  margin-bottom: 30px !important;
}

.mb-40 {
  margin-bottom: 40px !important;
}

.mb-50 {
  margin-bottom: 50px !important;
}

.mb-60 {
  margin-bottom: 60px !important;
}

.mb-70 {
  margin-bottom: 70px !important;
}

.mb-80 {
  margin-bottom: 80px !important;
}

.mb-90 {
  margin-bottom: 90px !important;
}

.mb-100 {
  margin-bottom: 100px !important;
}

.zindex-1 {
  z-index: 1;
}

.rounded-lg {
  border-radius: 15px;
}

.font-secondary {
  font-family: $font-secondary !important;
}

.shadow {
  box-shadow: 0px 18px 39.1px 6.9px rgba(224, 241, 255, 0.34) !important;
}

.bg-dark {
  background-color: #222222 !important;
}

/* icon */
.icon {
  font-size: 45px;
}

.icon-bg {
  height: 100px;
  width: 100px;
  line-height: 100px;
  text-align: center;
}

.icon-light {
  color: #c8d5ef;
}

/* /icon */
.social-icons a {
  height: 50px;
  width: 50px;
  line-height: 52px;
  border-radius: 50%;
  display: block;
  box-shadow: 0 18px 39.1px 6.9px rgba(224, 241, 255, .34);
  color: #fff;
  background-color: $color-primary;
  font-size: 20px;
  text-align: center;

  i {
    font-size: 17px;
  }
}

/* /slick slider */

/* form */
.form-control {
  border: 0;
  border-radius: 0;
  border-bottom: 1px solid $border-color;
  height: 60px;

  &:focus {
    border-color: $color-primary;
    outline: 0;
    box-shadow: none !important;
  }
}

textarea.form-control {
  height: 120px;
}

/* /form */

/* card */
.card {
  border: 0;

  &-header {
    border: 0;
  }

  &-footer {
    border: 0;
  }
}

/* /card */